Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.charts
Class ViewCombinedByTimePeriodChart

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.BuildActionSupport
                  com.atlassian.bamboo.ww2.actions.charts.ViewCombinedByTimePeriodChart

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildAware, ResultsListAware, ReturnUrlAware

    public class ViewCombinedByTimePeriodChart

extends BuildActionSupport
implements ResultsListAware

Field Summary
`static String` | `AUTO`
`static String` | `BUILD_GROUP_BY`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ViewCombinedByTimePeriodChart()`

Method Summary
`String` | `getAutoPeriod()`
`Map` | `getCombinedByTimeChart()`
`FilterController` | `getFilterController()`
`String` | `getGroupSuccessFailureChartBy()`
`List` | `getResultsList()` Provide the GUI with the collection of `BuildResultsSummary` objects for the specified build.
`void` | `setFilterController(FilterController filterController)`
`void` | `setGroupSuccessFailureChartBy(String groupSuccessFailureChartBy)`
`void` | `setResultsList(List results)`

Methods inherited from class com.atlassian.bamboo.ww2.actions.BuildActionSupport
`getBuild, getBuildKey, getCurrentlyRunningBuild, getPluginManager, getPluginMenuItems, setBuild, setBuildKey, setPluginManager`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.ww2.aware.BuildAware
`getBuild, setBuild`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### BUILD_GROUP_BY

    public static final String BUILD_GROUP_BY

See Also:
  Constant Field Values

### AUTO

    public static final String AUTO

See Also:
  Constant Field Values

Constructor Detail

### ViewCombinedByTimePeriodChart

    public ViewCombinedByTimePeriodChart()

Method Detail

### getResultsList

    public List getResultsList()

  Provide the GUI with the collection of `BuildResultsSummary` objects for the specified build. These are sorted most recent first.

  Specified by:
    `getResultsList` in interface `ResultsListAware`
  Returns:
    The build result summaries

### setResultsList

    public void setResultsList(List results)

  Specified by:
    `setResultsList` in interface `ResultsListAware`

### getFilterController

    public FilterController getFilterController()

### setFilterController

    public void setFilterController(FilterController filterController)

### getGroupSuccessFailureChartBy

    public String getGroupSuccessFailureChartBy()

### getAutoPeriod

    public String getAutoPeriod()

### setGroupSuccessFailureChartBy

    public void setGroupSuccessFailureChartBy(String groupSuccessFailureChartBy)

### getCombinedByTimeChart

    public Map getCombinedByTimeChart()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.